<template>
  <v-container id="AppointmentDetails">
    <v-col style="padding: 15px;">
      <v-container>
        <div class="text-h3">
          {{ title }}
        </div>
      </v-container>
      <v-container>
        <v-row>
          <v-col md="6">
            <div class="text-h5">
              Información de la cita
            </div>
          </v-col>
        </v-row>
      </v-container>,
      <details-card>
        <v-card-title>{{ date }}</v-card-title>
        <v-card-title>{{ hour }}</v-card-title>
        <v-row>
          <v-col
            md="4"
            lg="2"
          >
            <v-btn
              depressed
              color="primary"
              rounded
              large
              class="px-5"
            >
              UNIRSE A LA LLAMADA
            </v-btn>
          </v-col>
          <v-col md="4" lg="2" offset-md="4" offset-lg="8">
            <v-btn
              depressed
              large
              class="px-5 primary--text"
            >
              REPROGRAMAR
            </v-btn>
          </v-col>
        </v-row>
      </details-card>
      <v-container>
        <v-row>
          <v-col md="6">
            <div class="text-h5">
              Recursos complementarios
            </div>
          </v-col>
        </v-row>
      </v-container>
      <v-container>
        <v-tabs
          color="primary"
        >
          <v-tab>Links</v-tab>
          <v-tab>Documentos</v-tab>

          <v-tab-item
            v-for="n in 2"
            :key="n"
          >
            <details-card>
              <v-col v-if="n==1">
                <div v-for="link in links" :key="link.id">
                  <v-row>
                    <v-col md="3">
                      <v-card-title>{{ link.name + ":" }}</v-card-title>
                    </v-col>
                    <v-col md="8">
                      <v-text-field
                        outlined
                        :value="link.link"
                        readonly
                        append-icon="mdi-open-in-new"
                      />
                    </v-col>
                  </v-row>
                </div>
              </v-col>
              <v-col v-else>
                <div v-for="document in documents" :key="document.id">
                  <v-row>
                    <v-col md="11">
                      <v-text-field
                        outlined
                        :value="document.name"
                        readonly
                      >
                        <template #append>
                          <v-icon color="primary">
                            mdi-cloud-download
                          </v-icon>
                          <v-icon>mdi-delete</v-icon>
                        </template>
                      </v-text-field>
                    </v-col>
                  </v-row>
                </div>
              </v-col>
            </details-card>
          </v-tab-item>
        </v-tabs>
      </v-container>
      <v-container>
        <v-row>
          <v-col md="6">
            <div class="text-h5">
              Resultados de la sesión
            </div>
          </v-col>
        </v-row>
      </v-container>
      <v-container>
        <details-card>
          <v-container>
            <v-row>
              <v-col md="6">
                <div class="text-h6">
                  Comentarios de la sesión
                </div>
              </v-col>
            </v-row>
          </v-container>
          <v-container>
            <v-row>
              <v-col md="11">
                <v-textarea
                  id="textArea"
                  v-model="results"
                  rows="5"
                  outlined
                  readonly
                  style="border-radius: 15px"
                />
              </v-col>
            </v-row>
          </v-container>
          <v-container>
            <v-row>
              <v-col md="6">
                <div class="text-h6">
                  Transcripción de la sesión
                </div>
              </v-col>
            </v-row>
            <v-row>
              <v-col md="4" lg="2">
                <v-btn
                  depressed
                  color="primary"
                  rounded
                  large
                  class="px-5"
                >
                  VER TRANSCRIPCIÓN
                </v-btn>
              </v-col>
            </v-row>
          </v-container>
        </details-card>
      </v-container>
    </v-col>
  </v-container>
</template>

<script>
import { mapState, mapActions } from 'vuex';
import DetailsCard from '~/components/Cards/DetailsCard.vue';

export default {
  name: 'AppointmentDetails',
  components: {
    'details-card': DetailsCard,
  },
  data() {
    return {
      title: 'Detalle',
      buttonTitle: 'Ver historial de sesiones',
      date: 'Jueves 20 de mayo de 2021',
      hour: 'De 12-30 PM a 13:30 PM',
      links: [
        { id: 0, name: 'Mentis', link: 'www.mentis.com' },
        { id: 1, name: 'Jamboard', link: 'www.jamboard.com' },
      ],
      documents: [
        { id: 0, name: 'comportamiento.pdf', link: 'www.google.com' },
      ],
      results: 'Resultados de la sesion',
    };
  },
  computed: {
    ...mapState({
      appointment: state => state.appointments.appointment,
    }),
  },
  mounted() {
    this.getAppointment({ id: 1 });
    console.log(this.$route.params.id);
    console.log("Entre");
  },
  methods: {
    ...mapActions({
      getAppointment: 'appointments/getAppointment',
    }),
    openLink(link) {
      window.open(link, '_blank');
    },
  },
};
</script>

